%global bundle org.apache.felix.configadmin

Name:           felix-configadmin
Version:        1.8.14
Release:        4%{?dist}
Summary:        Apache Felix Configuration Admin Service
License:        ASL 2.0
URL:            http://felix.apache.org/site/apache-felix-config-admin.html

Source0:        http://archive.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(biz.aQute:bndlib)
BuildRequires:  mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.osgi:osgi.cmpn)
BuildRequires:  mvn(org.osgi:osgi.core)

%description
Implementation of the OSGi Configuration Admin Service Specification 1.5.

%package javadoc
Summary:          API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

# Needed enterprise classes are also provided by compendium
%pom_change_dep org.osgi:org.osgi.core       org.osgi:osgi.core:6.0.0:provided
%pom_change_dep org.osgi:org.osgi.enterprise org.osgi:osgi.cmpn:6.0.0:provided

# Many test deps are not in Fedora
%pom_remove_dep ":::test"

%mvn_file : felix/%{bundle}

%build
# Pax test dependency unavailable
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc changelog.txt
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.8.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Feb 14 2017 Mat Booth <mat.booth@redhat.com> - 1.8.14-1
- Update to latest upstream release
- Adopt license macro
- Regenerate BRs to fix failure to build from source

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 16 2014 Mat Booth <mat.booth@redhat.com> - 1.4.0-13
- Add missing BR on felix-parent

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.4.0-11
- Use Requires: java-headless rebuild (#1067528)

* Mon Aug 12 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.4.0-10
- Remove unneeded animal-sniffer dependency

* Wed Aug 07 2013 Marek Goldmann <mgoldman@redhat.com> - 1.4.0-9
- Using xmvn

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Feb 19 2013 Marek Goldmann <mgoldman@redhat.com> - 1.4.0-7
- Added maven-shared BR

* Mon Feb 18 2013 Marek Goldmann <mgoldman@redhat.com> - 1.4.0-6
- Fixed BR and changelog

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 1.4.0-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 30 2012 Patryk Obara <pobara@redhat.com> - 1.4.0-2
- Fixed javadoc files
- Fixed license tag
- Used description from pom file

* Fri Jun 15 2012 Marek Goldmann <mgoldman@redhat.com> - 1.4.0-1
- Initial packaging
